#!/bin/sh
echo Content-type: text/html
echo ""

echo "<html>"
echo "<head><title>Pomiar DS18B20</title></head>"
echo "<body>"
echo "<h1>Raport pomiarowy</h1>"

echo "<table border=1 cellpadding=10>"
echo "<tr>"

i=1 

LICZBA_CZUJNIKOW=`cat /sys/bus/w1/devices/w1_bus_master1/w1_master_slave_count` 
while [ $i -le $LICZBA_CZUJNIKOW ] 
do 
	ID_CZUJNIKA=`awk NR==1{print} /sys/bus/w1/devices/w1_bus_master1/w1_master_slaves` 
	echo $ID_CZUJNIKA > /sys/bus/w1/devices/w1_bus_master1/w1_master_remove 
	i=$(($i+1)) 
done 

#ponownie skanowanie 
echo 1 > /sys/bus/w1/devices/w1_bus_master1/w1_master_search 

#liczba podlaczonych czujnikow 
LICZBA_CZUJNIKOW=`cat /sys/bus/w1/devices/w1_bus_master1/w1_master_slave_count` 
echo "<td colspan=2>Czas rozpoczecia pomiaru: " `date +%H:%M`
echo "</td></tr>" 
echo "<td colspan=2>Liczba wykrytych czujnikow: $LICZBA_CZUJNIKOW </td></tr>" 

i=1 

while [ $i -le $LICZBA_CZUJNIKOW ] 
do
	ID_CZUJNIKA=`awk NR==$i{print} /sys/bus/w1/devices/w1_bus_master1/w1_master_slaves` 
	cat /sys/bus/w1/devices/$ID_CZUJNIKA/w1_slave > /tmp/pomiar 
	CRC=`cat /tmp/pomiar | grep crc | awk '{ print $12 }'` 

	WYNIK=`awk -F= '/t=/ {print $2/1000}' /tmp/pomiar` 
	echo "<tr><td>$ID_CZUJNIKA</td> <td>$WYNIK C</td></tr>"
	i=$(($i+1)) 
done
echo "</table>"
echo "</body>"
echo "</html>"

